GNU bug report logs - #52599
29.0.50; Unproportional Unicode character scale in SVG overlay

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 52599 <at> debbugs.gnu.org and "Matsievskiy S.V." <seregaxvm.main@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 21 Jan 2022 13:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 08:36:32 2022
Received: from localhost ([127.0.0.1]:60651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAu5g-0007gj-3v
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 08:36:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nAu5e-0007gR-A8
 for 52599 <at> debbugs.gnu.org; Fri, 21 Jan 2022 08:36:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=XlIHqEyHaSolvGpmRbwU3Yow2mLfFVMy9ZEyh1yFQYU=; b=S01x7hrwm69OuEFtTFU6wZq9dW
 Rre8nqQ7XyZle/Uxz6IjfodRnHOFEBsP5rlEl4+oA0qg0wC+C5PXdy2vCuq+XbPQmofw0p/Pqp4Dd
 JrlGwugARDo3wzuxBU4TuosyGVLiuOCdkez8tHCHz/TxlW9PM1+ych6rYRGRkGeXc4pE=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nAu5U-0004hy-No; Fri, 21 Jan 2022 14:36:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN> <YcCv0nz9VwW5pHyz@HIDDEN>
 <41de4d3c8393ce6918e6a89437d8f53da8be556d.camel@HIDDEN>
 <YcI/XAH2/+lpWxll@HIDDEN>
X-Now-Playing: David Bowie's _Brilliant Adventure (2): The Buddha Of
 Suburbia_: "Dead Against It"
Date: Fri, 21 Jan 2022 14:36:20 +0100
In-Reply-To: <YcI/XAH2/+lpWxll@HIDDEN> (Alan Third's message of "Tue, 21
 Dec 2021 20:55:56 +0000")
Message-ID: <877datp5wr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alan Third <alan@HIDDEN> writes: > I don't think we want
 to change our default CSS to not set the font > size as that would make using
 SVGs in-line with text more complicated. Re-skimming this thread,
 if I understand
 correctly, there's nothing here that can be fixed on the Emacs side -- we're
 scaling the characters, but not the non-characters, which leads to odd effects.
 Bu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: Eli Zaretskii <eliz@HIDDEN>, 52599 <at> debbugs.gnu.org,
 "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Alan Third <alan@HIDDEN> writes:

> I don't think we want to change our default CSS to not set the font
> size as that would make using SVGs in-line with text more complicated.

Re-skimming this thread, if I understand correctly, there's nothing here
that can be fixed on the Emacs side -- we're scaling the characters, but
not the non-characters, which leads to odd effects.  But we don't want
to stop doing that, either, so it should be fixed by the thing that uses
these SVGs.  So I'm closing this bug report; if there's more that can be
done, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 22 Dec 2021 08:49:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 22 03:49:37 2021
Received: from localhost ([127.0.0.1]:56754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzxJY-0004sS-R1
	for submit <at> debbugs.gnu.org; Wed, 22 Dec 2021 03:49:37 -0500
Received: from mail-lj1-f178.google.com ([209.85.208.178]:39745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1mzxJX-0004sF-3K
 for 52599 <at> debbugs.gnu.org; Wed, 22 Dec 2021 03:49:35 -0500
Received: by mail-lj1-f178.google.com with SMTP id m12so2649138ljj.6
 for <52599 <at> debbugs.gnu.org>; Wed, 22 Dec 2021 00:49:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=tpSlgSK03LlWBPBWpDTWurFT4EWw8byW+c7k8s5lg6k=;
 b=W1TzWXCSoLWcdXPsS3opBQkm7wbaibqaI4YxhFNEY5i5Y3wV2Paq9UfJRc2UYlNiax
 uygq+TYKmy1EfejMgriL72VVlnMpUTmkKrPD2kD//RaDhggmnWtIEM8Kt4l+chT4Frye
 wLIYUXuj4bM30hOo5R2CxUMjPC8KU1FgP/8Ab1hidLu1vLLcVJ62H/L5mSBPLBAm+NWf
 M4s+RCe3vg8w8D8cUqMeA5PTh9kZqzJuwN6FGt7Fu82MyvU8Lt0OWNXtZUIRViFmwH/Q
 wmD9Cwb43bKlPRStw+oNfDsemgfqKiTVO7JuGRf77K9KIB2RrBWkQ2ZLBE7z/pfNE8I5
 TbLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=tpSlgSK03LlWBPBWpDTWurFT4EWw8byW+c7k8s5lg6k=;
 b=nc2FiELjYcFyoDkQeeOWEfPmzyyh/9bcxZpJCefG3gZPoUq0MeSIj4Nlr+EpU8ATrU
 OMoOGktwrfieqQ2wdWYivW5H1oq5jPW7WdCrp9PNyX0MTHrgxyMSjKd5PHVCorH1GX3B
 vvmQablBZsPl+/rx88uzheLquXSpalV1ICQMrqvg9dR1wpKlLyurBCmcWJTNr8jvESVP
 WXh+/qigmpcavo+Q37Hr8DXfY5OjsL+MlczKqsqodUY6Ftw7rWT33LbpmIQnYa2+Dn/b
 hpsMInBKwa9Y40FpqnHmuRun7s+qhKAO2RqKv5E9MpXDEGt8BCRg1odarGziGxyqOMqF
 bS2A==
X-Gm-Message-State: AOAM531NLIJ5ATlCYK/HKsprKQZr3oE0iawiqZh6BhhHDX/CaPXbyBKm
 7+ZVQi0vhbE0R3JwETC+uW4=
X-Google-Smtp-Source: ABdhPJy4X8/W7t0cxat/fPTVUkSZpKbxw+iuNhemdpzPv2bNyDUDWksSuIJpiXvqY4FBC5PFu7ZF2w==
X-Received: by 2002:a2e:bc21:: with SMTP id b33mr1517067ljf.497.1640162968654; 
 Wed, 22 Dec 2021 00:49:28 -0800 (PST)
Received: from [192.168.100.3] ([85.143.113.112])
 by smtp.gmail.com with ESMTPSA id l5sm149574lfc.190.2021.12.22.00.49.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Dec 2021 00:49:28 -0800 (PST)
Message-ID: <75dbb59f2a44caa42d2a6129cfbf3878324021fd.camel@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: Alan Third <alan@HIDDEN>
Date: Wed, 22 Dec 2021 11:49:26 +0300
In-Reply-To: <YcI/XAH2/+lpWxll@HIDDEN>
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN> <YcCv0nz9VwW5pHyz@HIDDEN>
 <41de4d3c8393ce6918e6a89437d8f53da8be556d.camel@HIDDEN>
 <YcI/XAH2/+lpWxll@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-7GbDETc6mzjNcHjxVN0a"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: Eli Zaretskii <eliz@HIDDEN>, 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-7GbDETc6mzjNcHjxVN0a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> Or is there some custom mathjax CSS that's supposed to be applied?

I ended up exposing ex size configuration to customize.

I'm fine with leaving things as they are now and just wait for MathJax
to add more fonts in future releases.

--=20
Best regards,
S.V. Matsievskiy

On Tue, 2021-12-21 at 20:55 +0000, Alan Third wrote:
> On Tue, Dec 21, 2021 at 03:15:44PM +0300, Matsievskiy S.V. wrote:
> > > So what we end up with is that the text scales directly according
> > > to
> > > the font size and the paths scale according to whatever nonsense
> > > librsvg returns for the image size.=20
> >=20
> > Aren't these characters associated with the svg overlay? If so, it
> > should be possible to apply image scaling rules to them, or is it
> > too
> > much work?
>=20
> To just use image scaling rules set the css to "". That way
> increasing
> the font size won't change the font size in the image and this
> problem
> won't rear it's ugly head.
>=20
> I suspect this should be considered a bug in the mathjax output. It's
> relying on the default font being a specific size, and when it's not
> then the scaling goes all wonky. I guess this means they expect that
> all SVG renderers always use the exact same font size?
>=20
> Or is there some custom mathjax CSS that's supposed to be applied?
> I've had a quick look at the mathjax documentation and it doesn't
> look
> like it. They say that SVG output doesn't use text directly so is
> unaffected by font problems. =F0=9F=98=92
>=20
> I don't think we want to change our default CSS to not set the font
> size as that would make using SVGs in-line with text more
> complicated.

--=-7GbDETc6mzjNcHjxVN0a
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmHC5pYACgkQJ3MPanxt
P2t8tQv/RwL1l+8bhphBi5yAbdo5U4BvH1BDgmasY451Cv91lyb7sZn5+pBeCaCt
Qwf2UAYm6E6/dAPVRpx/yL1gR/D9LRUBjzqNzKqzaAcOm35g3zmo1gIggifCSbgE
TsWFJGJVtelrADtNWtl5b535nzLykgzdXQDuglcIAevhr0IpNz4LTzSMTMj6uQZl
PRzMl7cpKnmB+7cC8084bNGJ8HD/mIv+0psCyPjA3wIZ5MVTzebbQIxJNNtGXmNf
wJLPEW/UbI5E5dQHMW+T8dXHhteNMDL0tuGHGIyBtbOBSaMkQi5EmA9mqdZwEIOt
Mb7IYd3sKzfz7NzVWP1yTHkgz4EohYCeTQfD2pfXKdJMZ7qkbh42hYJ/Xc3CCKHj
syoqdK/JVOdmYzpb9ZRQeI4hfi5n/9Ni3aceXF9YHXNbAmL7BEh9GH1dUF570KXR
+cQZdbeGvlkt13KDX0lqoR/o+ly58YL856z06KgInh91Du2x7Y1MY67Dm8B3sA02
RWDjgfiZ
=ZyVc
-----END PGP SIGNATURE-----

--=-7GbDETc6mzjNcHjxVN0a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 21 Dec 2021 20:56:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 15:56:11 2021
Received: from localhost ([127.0.0.1]:55838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzmB9-0002x1-Kq
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 15:56:11 -0500
Received: from outbound.soverin.net ([116.202.126.228]:53589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mzmB4-0002wT-EK
 for 52599 <at> debbugs.gnu.org; Tue, 21 Dec 2021 15:56:10 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 42584D1;
 Tue, 21 Dec 2021 20:56:00 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1640120159; bh=8k4A4g9Ja9TH6zSIWllLyQ5a8mMr1O95G/KC3T0NnSA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=IdhepKaRYr9SOrwHeET5muKi6A9/HYRcKzUYNK1B0pMJk8bfPxhNgZKXZTt5wmC6I
 sVzdVaHRKunHUv8zuSp3FQXROmza7kS/KqKhyJKTtR7Ov7lJLesQWo5e9O9Nn8dDtv
 n9WAtnsiZgGuktZy9Fspg4mxNoyxl5Qn2Xh5vtxIjDdq/MSk8khw/VE0V6Ru5gSYjO
 ly8iP0lAa9SOZNTQUTcpnm3dx+PLYSIy4e8AaI2wPH/+g3oihNOgGfskysXxGJmrv3
 Va0JmEmYi1IlW/plsb4qurfh+s0eTxxH2Rt0L6jPJPDuunhnx4bDFWbNG4TzbZHpoW
 XNMed/VT28hRw==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.95-RC2)
 (envelope-from <alan@HIDDEN>) id 1mzmAu-001fXt-Nl;
 Tue, 21 Dec 2021 20:55:56 +0000
Date: Tue, 21 Dec 2021 20:55:56 +0000
From: Alan Third <alan@HIDDEN>
To: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
Message-ID: <YcI/XAH2/+lpWxll@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 "Matsievskiy S.V." <seregaxvm.main@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 52599 <at> debbugs.gnu.org
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN> <YcCv0nz9VwW5pHyz@HIDDEN>
 <41de4d3c8393ce6918e6a89437d8f53da8be556d.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <41de4d3c8393ce6918e6a89437d8f53da8be556d.camel@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52599
Cc: Eli Zaretskii <eliz@HIDDEN>, 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Dec 21, 2021 at 03:15:44PM +0300, Matsievskiy S.V. wrote:
> > So what we end up with is that the text scales directly according to
> > the font size and the paths scale according to whatever nonsense
> > librsvg returns for the image size. 
> 
> Aren't these characters associated with the svg overlay? If so, it
> should be possible to apply image scaling rules to them, or is it too
> much work?

To just use image scaling rules set the css to "". That way increasing
the font size won't change the font size in the image and this problem
won't rear it's ugly head.

I suspect this should be considered a bug in the mathjax output. It's
relying on the default font being a specific size, and when it's not
then the scaling goes all wonky. I guess this means they expect that
all SVG renderers always use the exact same font size?

Or is there some custom mathjax CSS that's supposed to be applied?
I've had a quick look at the mathjax documentation and it doesn't look
like it. They say that SVG output doesn't use text directly so is
unaffected by font problems. 😒

I don't think we want to change our default CSS to not set the font
size as that would make using SVGs in-line with text more complicated.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 21 Dec 2021 12:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 07:15:55 2021
Received: from localhost ([127.0.0.1]:52624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mze3e-00085k-Nv
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 07:15:54 -0500
Received: from mail-lf1-f54.google.com ([209.85.167.54]:36417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1mze3d-00085U-6e
 for 52599 <at> debbugs.gnu.org; Tue, 21 Dec 2021 07:15:54 -0500
Received: by mail-lf1-f54.google.com with SMTP id k37so28939144lfv.3
 for <52599 <at> debbugs.gnu.org>; Tue, 21 Dec 2021 04:15:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=FeKxFB0dhmtPJCN15T6tRY2q1jchIrxS/RVA02wRYfE=;
 b=CFpbJaHoLRDxuxfH6RFZeQQJ0CyS9ILYO02LjTUVjQnMNm/DViC7Zf967Oxgid/BNQ
 XUwKePVL9Yq4pOQxSkfY39rTbxGx+5MXOnhyiXh9re7iBHTPImRTcYkyJdUqNmYg1PG2
 sYmmMJW9cirRPZdWI4MS6gJg0gCfgF2G7EgwgxWyz/eVmJfc844mDMF1hoa9ua/lvCMT
 +DARG3pzeviYgtVZroc56EmCUdOxAFXcyqC95BYbE8/bmUiZnRDr2KNaB3Kp5xSmnimU
 4nkv7gBZ89GeRF4b9U7DaY6cvNZ7lwUtjxUNFlRv0wXVbq4O7JrlK9b8UERoS95MJWop
 DUOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=FeKxFB0dhmtPJCN15T6tRY2q1jchIrxS/RVA02wRYfE=;
 b=F/EtDEpaC0qQiN2nOnWuddB7E6pVVPW6UU+jK132Bz80oQXEkpHlHUYEr5jPH6xwY1
 gZoeTOThC4HUNK1KvfISJZWBuNnX1x/sMYC+s0BvQ2uerj3C6qxiee0zZCqBaS+bvV0Q
 P7ET+Vww99csitdFrBC29WUPNXqlHvRImqwuuUJafRUeNF9c0OWrF3Iid1R2jOy8noAl
 GTJDJTLOJlBR1l7WtrDmJ9GurvqF4iPoE8rCG5b4hu2QOqrVHxqPgv2sA9Tn7nNJzWX+
 hf0BB1M1glj8FWCYGkFKnAbjyM/AlAUr3e5Qvw4ZCLt2Z9mji1QqVAPrkOLbYUNgq5K6
 f7ig==
X-Gm-Message-State: AOAM533XUrl4fa9Zm9GezWW/H0xGq7KTLvetjNr8QQIAMA22D+FQKRml
 d+FE0QkUAqIS+xOgoeFwFEY2knlk4dQ=
X-Google-Smtp-Source: ABdhPJx/Fn5DwccrefN/mafoMhzue+QZtiUTTIBomDkvmab0D46Xkiek9UdjSzq0jgVMe7ApeExkYw==
X-Received: by 2002:a05:6512:ea2:: with SMTP id
 bi34mr2883404lfb.12.1640088947168; 
 Tue, 21 Dec 2021 04:15:47 -0800 (PST)
Received: from [192.168.0.2] ([46.188.27.171])
 by smtp.gmail.com with ESMTPSA id d3sm312751lfs.204.2021.12.21.04.15.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 21 Dec 2021 04:15:46 -0800 (PST)
Message-ID: <41de4d3c8393ce6918e6a89437d8f53da8be556d.camel@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: Alan Third <alan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Date: Tue, 21 Dec 2021 15:15:44 +0300
In-Reply-To: <YcCv0nz9VwW5pHyz@HIDDEN>
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN> <YcCv0nz9VwW5pHyz@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-E99AfVzq5tFS72WtcN/9"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-E99AfVzq5tFS72WtcN/9
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> So what we end up with is that the text scales directly according to
> the font size and the paths scale according to whatever nonsense
> librsvg returns for the image size.=20

Aren't these characters associated with the svg overlay? If so, it
should be possible to apply image scaling rules to them, or is it too
much work?

--=20
Best regards,
Sergey Matsievskiy


On Mon, 2021-12-20 at 16:31 +0000, Alan Third wrote:
> On Sat, Dec 18, 2021 at 02:51:30PM +0200, Eli Zaretskii wrote:
> > > From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> > > Cc: 52599 <at> debbugs.gnu.org
> > > Date: Sat, 18 Dec 2021 15:13:15 +0300
> > >=20
> > > Attaching ELisp code
> >=20
> > Thanks.
> >=20
> > In my testing, the size of the font in the image doesn't change at
> > all
> > when I increase or decrease the text scale in the buffer.
> >=20
> > I think whether the font changes is up to librsvg and the font
> > backend
> > it uses, and Emacs does not necessarily have a way of controlling
> > that.=C2=A0 But I'm not an expert on SVG and the library, so perhaps
> > someone else could chime in.
>=20
> I *think* what's going on here is that the image size is defined in
> terms of "ex", but when using librsvg < 2.52 we have no idea what the
> ex height should be, so we use a fall-back mechanism to calculate the
> image size.
>=20
> Additionally most of the text is vector paths, not text, so it
> doesn't
> scale with the font size change, but some of it *is* text, so it
> *does* scale.
>=20
> So what we end up with is that the text scales directly according to
> the font size and the paths scale according to whatever nonsense
> librsvg returns for the image size.
>=20
> You could work around this by hard-coding the font size in the SVG or
> pass in some CSS to over-ride Emacs's default. I'd suggest hard-
> coding
> it in the image if possible as the default CSS contains colour
> information too.
>=20
> (Or we could try and work out the real ex height, but we would
> probably have to copy how librsvg calculates ex height, which I have
> a
> suspicion will be some constant fraction of an em instead of the
> font's real ex height.)
>=20

--=-E99AfVzq5tFS72WtcN/9
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmHBxXAACgkQJ3MPanxt
P2vvWgwAne1YId3k6J3olGo2VgJf29yZYN929bieu+eOyxEOSueTFIujaMePyOmc
YUioFm0R+IGWI5jzx/Ju1VoJB6gMa0oX0VN1/XZHPWsYr+KkNqb/Rv63SzGpS5xp
xJTuduQe5OIsiWi7BNrU6VtEoWd1i0ZeqSlGiz8nLkrZo5u/jEtWSlXhrYWGCNKS
7i9vIXMVHuaiyZHFRsZzkxLN9pxvY4xJVNpiVzlchYktVkRzW+x5Z7g9FsuJtHWR
zrxqBR/W6WsHf13Vim1ShEWjdnsrh5JyX7nywn7ePlKW096IiC7zvA/Ktf0GJlm+
2tJxm6sD6lTIxjFVlz8AddrS99ePpU3Vvk6H06P+gqfuNH8omz069YvYbr0UZK9i
4ftt8U2a6pL+JcocMrUDUxo9M4b4CclzGH1bCoj5hpbWJgtityiVJoVJqHI6OFV4
EcnblRjTb4hJ2gPv5vSsDYitp+m29NArUoyI+wvjhc/ozJmwqrE4iub3bw+hgQVl
Kc+K460m
=5VAt
-----END PGP SIGNATURE-----

--=-E99AfVzq5tFS72WtcN/9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 20 Dec 2021 16:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 20 11:31:37 2021
Received: from localhost ([127.0.0.1]:51235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzLZY-0005JC-SX
	for submit <at> debbugs.gnu.org; Mon, 20 Dec 2021 11:31:37 -0500
Received: from outbound.soverin.net ([116.202.126.228]:49907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mzLZV-0005Iv-4G
 for 52599 <at> debbugs.gnu.org; Mon, 20 Dec 2021 11:31:35 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 6BC49822;
 Mon, 20 Dec 2021 16:31:26 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1640017885; bh=nEJeoP97+jrz0vMbcKRlMA12DtM+4SlA7oe9y9aU42w=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=AkVgLLsh2t9q773YhagRetEdQJQKAwsy5QcEMki2IadYVwQI2KHPABTLx2LySvDri
 /jwIgiE+omJtcCMhIdXIOWitKUGAKqZfg9H0NrPashqg2X+rIASWqJItrHzGADBS2A
 +yFOtY+87It0qZVeukQfwk21pQsW6JDHScRCWL6L0JKW2Tz11+jHaaNPfKjaYllm2v
 YZ/Kzv+jd78icJdWo+/b9K533Vim+TQ7Ff1CKvYjErek1easeGABz9vRGhY1epgV+y
 k53i95K6sM1i7nLs7pMfpaj7CbwF/EedPGrThyTE+Vmu1yYLAfJp5dtWvNeflbsV+5
 Ajrwrx+RdKseA==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.95-RC2)
 (envelope-from <alan@HIDDEN>) id 1mzLZC-001JlC-9l;
 Mon, 20 Dec 2021 16:31:14 +0000
Date: Mon, 20 Dec 2021 16:31:14 +0000
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
Message-ID: <YcCv0nz9VwW5pHyz@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 "Matsievskiy S.V." <seregaxvm.main@HIDDEN>,
 52599 <at> debbugs.gnu.org
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83ee6aaxf1.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org, "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Dec 18, 2021 at 02:51:30PM +0200, Eli Zaretskii wrote:
> > From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> > Cc: 52599 <at> debbugs.gnu.org
> > Date: Sat, 18 Dec 2021 15:13:15 +0300
> > 
> > Attaching ELisp code
> 
> Thanks.
> 
> In my testing, the size of the font in the image doesn't change at all
> when I increase or decrease the text scale in the buffer.
> 
> I think whether the font changes is up to librsvg and the font backend
> it uses, and Emacs does not necessarily have a way of controlling
> that.  But I'm not an expert on SVG and the library, so perhaps
> someone else could chime in.

I *think* what's going on here is that the image size is defined in
terms of "ex", but when using librsvg < 2.52 we have no idea what the
ex height should be, so we use a fall-back mechanism to calculate the
image size.

Additionally most of the text is vector paths, not text, so it doesn't
scale with the font size change, but some of it *is* text, so it
*does* scale.

So what we end up with is that the text scales directly according to
the font size and the paths scale according to whatever nonsense
librsvg returns for the image size.

You could work around this by hard-coding the font size in the SVG or
pass in some CSS to over-ride Emacs's default. I'd suggest hard-coding
it in the image if possible as the default CSS contains colour
information too.

(Or we could try and work out the real ex height, but we would
probably have to copy how librsvg calculates ex height, which I have a
suspicion will be some constant fraction of an em instead of the
font's real ex height.)

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 14:31:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 09:31:14 2021
Received: from localhost ([127.0.0.1]:45321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myxDW-00080q-JK
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 09:31:14 -0500
Received: from mout.gmx.net ([212.227.17.22]:43071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1myxDR-00080a-1J
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 09:31:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1639924262;
 bh=tdQQ1Rn9UEwc7CBnEsmoVi6PUdkht0AquBWao9Qppbc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=GkK8n1emHRIuc+x3dlfIJ86Z0+Z1ynOsZzhRJKDbNbVEbeG47fR35mf9G4nD7C7N5
 1FD6j7nAGAOxHC8t4+IlL+hAhBpOrAF+ItIRlFs5Ru3RXNIvWi9n/QUEoKxA2KmPzR
 nlXogptFjkre05cMoCFWpbI7q2X2esBlXBhI3crk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs ([89.246.38.201]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M6ll8-1mqjU01aIw-008KCm; Sun, 19
 Dec 2021 15:31:02 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <87tuf4x2uw.fsf@HIDDEN> <874k74kd54.fsf@HIDDEN>
 <87k0g0u715.fsf@HIDDEN>
Date: Sun, 19 Dec 2021 15:31:01 +0100
In-Reply-To: <87k0g0u715.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 19 Dec 2021 13:13:26 +0100")
Message-ID: <87zgowis4a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ms2YAapg9iePrlUgGjbqk+EMPiYGYmQY2b7EZZ1rENm/rTM/g0z
 3DmUUYkaZbnaoGTKFdLk9P1Asvw7krQFIdP8g+QmpGsqWt5DHzlyRns6bLcQIMgq4OtPnuP
 D0b5RZGuxRnKkDRMB4lsKdhAIuZWac3n6jFnCJxL6hq5mzIv6Yp7LKdMHCxxz5GU/sRthpT
 IA+ipiXs9FT+BRxMm6LBQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QGPBluRxEUI=:GKUoK0Q8rb23gjI5E3jUBj
 S/pnPAdLhcx8esQ431/T+s6Jnrm8cP81cUdvHVBcr6e8naF+vZ4twv+a0O19KXrxu/ja+GYz/
 sS6ujsXFCaVgyWPWQWupYRFuXF/qQ5yA5eXqwWOi7RMgrKVMmXHRhrGdUYfy9hcT4Bb1pBOmk
 E/u7gs7i/0rbnBmaxbkhYI6bJ/68Mr4vBDGyr6m3RV3tSPko1F2UH9PS18337eZHb8y6BTIuv
 ET3SWydPPbBFdAasx9e2TKoKkNmkjDwNVcaT9kI4teWhY49kq7pvhAYT1lxrD11o4kxL90blz
 0+imQmiHe0toHV9Std7VkP/jv9fGQ9rk9PBWnQ13nJudjv7PXKglp70wRAkccG4cxvZAVE12w
 l1PxJ6DeEkggepmd11cZuBLv503mFA9tkAHSeiALu+D0Ck9uEmjCEXLbaZwh4ncb+gw6PD/t6
 WLeKpsYAWdoHJNz5snvjYEHEoQHvBPeKIysLP3aaPf/xehaHaiBPMXApY0Snop/y3AoK8iDub
 PirAf2RLAzKUxoHvRSdLNhsRI8N2xQgGNeeEgbvPDSIRkBy31XdRBeexZGAMTYIbCWckBbdlZ
 /dlhFSfH2PeI9yjWzIAHFFCyJXte7GxB1n98F3/VI6iEXhnvnwtS70TyBjnPLqFQ2PQQ6Rm+D
 jAR1Y3TeiTEnq1k9EBzGcZE0myeCbB12DXaoTXoG5U/9RWrJ8qJQKqP7b8YcCwfBnA/rBJDHn
 7wytHgCZf+jwUtrYqTPRAIisjOVZxRBgTB6Zb2zGIOo8ziy8Y0Yas7WeYRzmzpIEzWLqgLoCL
 btQWRvTY4rushG6fCPNf48upE72LRb/BZKPP25V+BK5snusQtDnd5UL9YSFC2LJshq6JU/q7J
 dgGp3AMa+5Lin8PlZGWZPdeLk/S5FPBiIVdEJaQ4BuEU6M5YvP362R0ENYZXRAFGwB2wcZPz2
 fNQ4n6iiwQxNwFSnhcFR/cJt8bgmijed40Orr1Iy3H9lkF+uVNhlGao+xD2ZZy+wTuLSa2nKn
 C4bVAJPmW1cJvSX0n2B99WgplTK0Jpb7Rq3EHYeliO4ZuX920IJEvJ5AdsXj8Vy9a6OPSZU45
 vIklczvPVzt3fQ=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org, "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, 19 Dec 2021 13:13:26 +0100 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> I can reproduce the problem:
>
> Perhaps HiDPI settings also have an influence on how the characters are
> scaled (I'm using a 4K 14" screen)?

Could be.  I have a 27" screen with (according xdpyinfo) 2560x1440
pixels and 96x96 DPI.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 12:13:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 07:13:37 2021
Received: from localhost ([127.0.0.1]:45056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myv4K-0005pw-Sk
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:13:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1myv4J-0005pj-D7
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:13:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8dUsFnzlGKujm8vy7mz/MZTua1ma2HgFfvut8U8h6XM=; b=IcV2Ae/PBN26hOKCCbeGSWmf7N
 J2f8rEzNYhpiGhHDuYKy4lMbeZWt7YBACdUGYTdSKEY4+InmwZYbZUpyve+3jLWf8oW6l8r+RTMfB
 KDyTboIdlz+Ms+pOeGMmiiGXaGXAVRVpFJkLtlETA8NXr/XDX+QgI183oD6+7tWvDA3Y=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1myv4A-0003VD-Tc; Sun, 19 Dec 2021 13:13:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <87tuf4x2uw.fsf@HIDDEN> <874k74kd54.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWaXiRcOhwZEQzc
 pBj///9xDzzpAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UMEwsuOsxfCp4AAAGqSURBVDjLlZILtuQg
 CEQhbkDIBoS3Afux/71Ngbad+Z4zpDsxXpWiCFGGunfiTitY6B3u1uk6wN7znBumnnXjAahNoTl/
 2XFhQwRNXPn8APXBMXvkeDa69J1N7ZaPKNIzdG9PIDyINyCoPaIMFy9RBnCqwnon3YCfoJN2XWoH
 dBiLVBqM1XyBnLKrjKE8BcNt4YWqHCGVu6xY9V25KKNX3QcgM7ZJbRFbBVThZKFuUwVZyo8C7EPG
 zFMIewqso9RFv16wJaaq37z7kDfRWxMEb1Bycbhow53RK/UuG7CriVdL2quj1lFyMGMAEORfgUCq
 PheAepEBtWMCIOGdQJRwDkQFjLyj4VEAUyQoCkBrJgEksIkU8DvgBr4FiPOYIgUgFKsAshFwPvgA
 bP8ua8uSxqJyQJluNYw3qP74CcusB/whfgN1nmSB+cSL3WmJtngJPALwDUZL4JG5fwY9PTQ0yzK3
 J7DMU+B7pI2Y2CDzDckU99QHWGpgWHjn/fIBWRo/KiX/S/wTmGt+oFL69AnK4RKHVuw82RoXU/xw
 AaK4WvfJofu/T/t/VT8A4r5jltn1uWwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTItMTlUMTE6
 NDY6NTgrMDA6MDDW64EtAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEyLTE5VDExOjQ2OjU4KzAw
 OjAwp7Y5kQAAAABJRU5ErkJggg==
X-Now-Playing: John Martyn's _Bless the Weather_: "Glistening Glyndebourne
 (Take 2)"
Date: Sun, 19 Dec 2021 13:13:26 +0100
In-Reply-To: <874k74kd54.fsf@HIDDEN> (Stephen Berman's message of "Sun, 19
 Dec 2021 13:11:35 +0100")
Message-ID: <87k0g0u715.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stephen Berman <stephen.berman@HIDDEN> writes: > I can
 reproduce
 the problem: Perhaps HiDPI settings also have an influence on how the
 characters are scaled (I'm using a 4K 14" screen)? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org, "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stephen Berman <stephen.berman@HIDDEN> writes:

> I can reproduce the problem:

Perhaps HiDPI settings also have an influence on how the characters are
scaled (I'm using a 4K 14" screen)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 12:11:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 07:11:45 2021
Received: from localhost ([127.0.0.1]:45043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myv2W-0005m9-W6
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:11:45 -0500
Received: from mout.gmx.net ([212.227.15.19]:40215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1myv2V-0005lu-5s
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:11:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1639915896;
 bh=iNYvK55SLulfO6QQToz7l0KKlfX3gykwaqC82+Ei1aE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Mke2N2F6sHsemn/pEB+VWsASxzhkuwCDFQRp54pKEnUafKpXBAmtZbYxcJtMG66MA
 c0tlVc3kw1Zw/Ae+/rOHKnzOZBvu4OSnChMM+e58miJe001IWUCVWJaQNrudifyQNx
 1RoiAI+fTfmLnTDEnY0JAaleu2iECsd2Vl1TDsaM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs ([89.246.38.201]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M4JqV-1mydvF0v0T-000Ozq; Sun, 19
 Dec 2021 13:11:36 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <87tuf4x2uw.fsf@HIDDEN>
Date: Sun, 19 Dec 2021 13:11:35 +0100
In-Reply-To: <87tuf4x2uw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 19 Dec 2021 12:15:19 +0100")
Message-ID: <874k74kd54.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:Qxjo2B9iF+wefpyO9JEisrVGr/Am+Bw/+l0UBs+X6BRclok75KL
 YozwzavpSyC1hZa+kK/dmPDNQH3Or1FJdaNWtyWNL0buDurdum8d+c2Ld+5Hnu7KMMWvqnO
 8Zu8u9hqdbnJyfjKfUk4+ctEj3rR+We2aBtkL7dWQMqVqvN9aJ/lv7T0lf4h9g7IntYLXI1
 +aRcs9C+hVXgq9jbbu+Iw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:0+7SUSi48kk=:W5/dFKesMIUJPVCO/8/pU5
 7+12m64kSpIOxyUIJYfcL3DsO55y9VX9aA4Rbk6vpQg8Q43PmKZIAreaxpDpjXbiz0i3hBfGB
 QkvDd2pLVA5+iwWuqISx4qx9gr++NVe+TuAp6i4xoEexSNuhnLV43xhYiQgsTbjjwja/kzzYN
 5uE3hC31A31wsjMugiAjOdV4Eh5AtrdljawVnQBeHlZcM3udPUQOBshfnG9dqtMdUZddiVBez
 pvvvliqI0yo1NZwQCjevyFvDvEoWde746/cKjE9iJcVOL8cK7WnAmYpFi5zRY4JryRPWaW6u0
 SWhA6+pT89kQNs2R3PIlNqUVk1QvFF5YmWv/SJB+t3WNHkbRS/k1wc/Ay+toc9Q4wV2r3bYyq
 MLha1o1okbs/7VXDDTDx4V6PhRqaqn9clLEb8Rd8mIOf5qUNCr/PNMuaCxbNIRSRby7nDiPO5
 oJdoR9gveE0gSUIYoNyq33s7NVyUoWdmfkn4EqkY+4cJZ55VYi2PQS05TK3DCcxno5N021c+A
 UMWVvi5N60mTDiDCe7g6hR2A5JNAw+ZJOi008qrGIDAKOF9x+xgOdNFA/9P5rkCITcnhmf7LL
 27kBQ9uCeoEiXmdZZ8MTF58EDUuOUi+Iee1HShAJYWudC6mwHzaikaxNCTJ+1rhar59Vwzepx
 0gEt6S95MAa8zmqXAGR5xThKmDS9jTytLmD3rnR6BewYb8Zc8gLo5et6mW01pzESS+Q3vG5vf
 C2FdE8Jo4kKawJOBt0HILXubsAZl/LNidlaFqXEMjPQ+/SBtEQCW8BRbvi2aLxG+yn80W8NDk
 cot17XUDHbVI5z/8rkvMeaulWoXyWaod1C2jKnIN4PbSjSpgPWxPlaYI9CPEp2JBx9IHbRPF/
 KSnVToj9fTLVmDAO8nn3xe1jVsXYTrXeZTb0pBWJplCiTNV4tDVvuKsm168GzC1zZ0inLbkwO
 klT+KxgmskU28h9/N9tx53m3NRC8hSHzGcTS0otO1FCGfZG28L74yZJ8udjCeJn9uBTcvP77d
 FimBICeTfdUy9Y83LmzpdwTFvvAxH5R57x8j7a+NjbqbtLRIXW46m07zZFQcQqcPEkNphjhGY
 SRR4RdsiikCPypCm8viQ/vnH/Vk7t45ymKnx25Z9sUXaoSj7f+diAD1q5qmXUXyQ/Y/bXNGb1
 KShLPNME4sIIq6tjF2HXwoxZhF
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org, "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On Sun, 19 Dec 2021 12:15:19 +0100 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> "Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes:
>
>> When buffer contains SVG overlay with Unicode characters, changing font
>> size via `text-scale-increase` and `text-scale-decrease` causes these
>> Unicode characters to change size unproportionally to the Latin
>> characters. Their size changes faster: they shrink faster then Latin
>> characters and they grow faster then Latin characters.
>> Example of the math equation containing Unicode characters with
>> different scale is showin in picture https://imgur.com/3Ul8i74.
>
> The SVG seems to be very odd without changing the font size.

I can reproduce the problem:


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=svg.png
Content-Transfer-Encoding: base64
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=
--=-=-=
Content-Type: text/plain


This is with Emacs 29.0.50, librsvg-2.50.6, GTK+ 3.24.29, cairo 1.17.4

Steve Berman

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 12:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 07:07:20 2021
Received: from localhost ([127.0.0.1]:45035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myuyG-0005fW-8a
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:07:20 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1myuyF-0005fK-16
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 07:07:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bLS+CxFQvoO/BJPGpLKRFVkRCcsQJkhfEc0sLDU53UI=; b=N/PptlCIyuH4Rba+FHsXRblsVZ
 yRBw71WH4Zn8SPRQBgqkDJf5InCvUqwqqmA/jfl3CEJs3puXHdZihoqWQLewPJ7ko6Pnj05F0GKlI
 JCEsOMin6HXbTCkiXsM6F9xkMiFrdHgVaYcO+47xIF4F4Qnl01eTVSoPTdANDlTJoCMk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1myuy6-0003Sk-Ho; Sun, 19 Dec 2021 13:07:13 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <87tuf4x2uw.fsf@HIDDEN>
 <69c7930610b909166d86f418f61ba4f6a806dc21.camel@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWaXiRcOhwZEQzc
 pBj///9xDzzpAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UMEwsuOsxfCp4AAAGqSURBVDjLlZILtuQg
 CEQhbkDIBoS3Afux/71Ngbad+Z4zpDsxXpWiCFGGunfiTitY6B3u1uk6wN7znBumnnXjAahNoTl/
 2XFhQwRNXPn8APXBMXvkeDa69J1N7ZaPKNIzdG9PIDyINyCoPaIMFy9RBnCqwnon3YCfoJN2XWoH
 dBiLVBqM1XyBnLKrjKE8BcNt4YWqHCGVu6xY9V25KKNX3QcgM7ZJbRFbBVThZKFuUwVZyo8C7EPG
 zFMIewqso9RFv16wJaaq37z7kDfRWxMEb1Bycbhow53RK/UuG7CriVdL2quj1lFyMGMAEORfgUCq
 PheAepEBtWMCIOGdQJRwDkQFjLyj4VEAUyQoCkBrJgEksIkU8DvgBr4FiPOYIgUgFKsAshFwPvgA
 bP8ua8uSxqJyQJluNYw3qP74CcusB/whfgN1nmSB+cSL3WmJtngJPALwDUZL4JG5fwY9PTQ0yzK3
 J7DMU+B7pI2Y2CDzDckU99QHWGpgWHjn/fIBWRo/KiX/S/wTmGt+oFL69AnK4RKHVuw82RoXU/xw
 AaK4WvfJofu/T/t/VT8A4r5jltn1uWwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTItMTlUMTE6
 NDY6NTgrMDA6MDDW64EtAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEyLTE5VDExOjQ2OjU4KzAw
 OjAwp7Y5kQAAAABJRU5ErkJggg==
X-Now-Playing: John Martyn's _Bless the Weather_: "Glistening Glyndebourne
 (Take 2)"
Date: Sun, 19 Dec 2021 13:07:09 +0100
In-Reply-To: <69c7930610b909166d86f418f61ba4f6a806dc21.camel@HIDDEN>
 (Matsievskiy S. V.'s message of "Sun, 19 Dec 2021 14:55:08 +0300")
Message-ID: <87tuf4u7bm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes: >
 You've
 probably set your frame font size. Running with emacs -Q > produces image
 emacs.png. Firefox produces almost the same image > firefox.png. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes:

> You've probably set your frame font size. Running with emacs -Q
> produces image emacs.png. Firefox produces almost the same image
> firefox.png.

I did my test with "emacs -Q" (on Debian/bookworm).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 11:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 06:55:18 2021
Received: from localhost ([127.0.0.1]:44983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myumc-00035k-Lk
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 06:55:18 -0500
Received: from mail-lf1-f43.google.com ([209.85.167.43]:43742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1myuma-00035U-3e
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 06:55:17 -0500
Received: by mail-lf1-f43.google.com with SMTP id b40so15179123lfv.10
 for <52599 <at> debbugs.gnu.org>; Sun, 19 Dec 2021 03:55:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=TIkm//iCLIDXX54Ok4/K+2H9V1rbTs0dg2XsB/TCJi0=;
 b=ArcDBXYIr5yRcNEKrkjj+zj3Mz6chL0cxwlmsDPCX/ZmfAh/ZGhglIoetrwi+/fn4q
 0Tkb2I6zybCh3fGZukKQtL5TACPTbKcnE8wR+9QT80CQ0ty3MFdAa8GMa8LMUiSomFLM
 podzjj1yPw8LU2ZcVhenTV+iR5RrN8yYOJpDsVoJKafJPk9tHw6cH9+zAPSuhG2Uoaq5
 Q3XYmhD8Ypo+jN74UY7R7HMXUOVI1CUSy1JMzTnSf+O442qe7Vymk7bJZ39k30mUcDuE
 Y8ce3i6zW+anOKKMnq42QYes1Ge1CpTJVxzXIbb4fqc1Z2tPajTmQ0CjTu1qvA+y5pne
 mw9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=TIkm//iCLIDXX54Ok4/K+2H9V1rbTs0dg2XsB/TCJi0=;
 b=zYVPwAbBagQs4QYYOgo/G3sQQb7la6yDPO6atZY9iiCBa85ndQVOOihEMtK/STKRld
 dI0wRJvDLY5x2pOqNHOyzKFlv5xBzLS3vkUnUJgeaXlnOcAPAM6spJ0IWohO7ByPRAV6
 atZLKBRRwh6J/Ic/p+jsiOln85QPO3kQCNKmBKY6W/XjkCKXXrHJ5krlckTtunDBIvMu
 XQKnGtukOLTfE+3m9n3AJHl2oEPFl5nkePN+KTknY5bnWszLJqSFadeO9lagt9ALhmN0
 xOkx3c0ZASCtVJsmoMvGGjP2PROqlPJywLaKSyl5+L1ASG1N/gjHUIBocQBrDon/UcFu
 QcMg==
X-Gm-Message-State: AOAM533P9f9+Ym6+HMfE89oIkAmLSCKA7ivNLmkp6GwYrXiDXq2Yc6mZ
 v7v8NXbVLspIUtNFhaEzQbw=
X-Google-Smtp-Source: ABdhPJy+KYUgoQUSkoipoS1hlpssoHKoty7A+TieaIUuLTqUsjYbp9Ls9JPxF2IydgNIJ8jlCHZQqw==
X-Received: by 2002:a19:e208:: with SMTP id z8mr4192299lfg.225.1639914910016; 
 Sun, 19 Dec 2021 03:55:10 -0800 (PST)
Received: from [192.168.0.2] ([46.188.27.171])
 by smtp.gmail.com with ESMTPSA id o16sm2030959lfd.202.2021.12.19.03.55.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 19 Dec 2021 03:55:09 -0800 (PST)
Message-ID: <69c7930610b909166d86f418f61ba4f6a806dc21.camel@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Date: Sun, 19 Dec 2021 14:55:08 +0300
In-Reply-To: <87tuf4x2uw.fsf@HIDDEN>
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <87tuf4x2uw.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ZGMCgQKXY/oC4goin03S"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-ZGMCgQKXY/oC4goin03S
Content-Type: multipart/mixed; boundary="=-KMUQs0f+F0ZQpK0zPaLI"


--=-KMUQs0f+F0ZQpK0zPaLI
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

You've probably set your frame font size. Running with emacs -Q
produces image emacs.png. Firefox produces almost the same image
firefox.png.

--=20
Best regards,
Sergey Matsievskiy


On Sun, 2021-12-19 at 12:15 +0100, Lars Ingebrigtsen wrote:
> "Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes:
>=20
> > When buffer contains SVG overlay with Unicode characters, changing
> > font
> > size via `text-scale-increase` and `text-scale-decrease` causes
> > these
> > Unicode characters to change size unproportionally to the Latin
> > characters. Their size changes faster: they shrink faster then
> > Latin
> > characters and they grow faster then Latin characters.
> > Example of the math equation containing Unicode characters with
> > different scale is showin in picture https://imgur.com/3Ul8i74.
>=20
> The SVG seems to be very odd without changing the font size.=C2=A0 When I
> eval the test case, I get:
>=20
>=20
> Is it supposed to look this way?
>=20

--=-KMUQs0f+F0ZQpK0zPaLI
Content-Type: image/png; name="emacs.png"
Content-Disposition: attachment; filename="emacs.png"
Content-Transfer-Encoding: base64
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--=-KMUQs0f+F0ZQpK0zPaLI
Content-Type: image/png; name="firefox.png"
Content-Disposition: attachment; filename="firefox.png"
Content-Transfer-Encoding: base64
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--=-KMUQs0f+F0ZQpK0zPaLI--

--=-ZGMCgQKXY/oC4goin03S
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmG/HZwACgkQJ3MPanxt
P2ujiAv/R/JDoPJ2rbGXoAk4CwH1iFOQHBjQGPxpY6Ci07uEtndIPumUc0Q4A5/m
qvNrAEAlfEqZtadR38SxdXone4MMckl9Z1W2duwx7V7eKb/qlLKRVm4UY4yVY3Z0
Dl+R2Xtx7TirCN2PqVTKMI5G6UkkA2SR4map0DTyKenhO3Lvam4CCaIL/f+H+xiH
i/R7zAUE/GynDGdAJZyJ4kOTcTo+MqNyIHGz42vyPIHwT3xcANF8hM/HhsK+28Sx
19gFWT8xaSjDtvAsSAYBt6iKCtrDON3Tt4oMBRsXrR3k/K7GrMvjUsAD4FIwLOg6
uSYUy+OOzANxGLB0MjBfkglHX2WbByS3TDyTxqQ7AMLbno4+1SN6bw8CCKustDhe
kagJK+fKl16wP1rep7wfFayryBNE9FVqOj+PYr8/FqJAdhnOj1Psl2JN78e4HQVI
vBQ7E7xA5292lesUSCUnB4Rmyr45z0AyemNrM8dLb5kss1DAQ7Dexb1yxecM2cTW
JUxVWyGz
=kbjb
-----END PGP SIGNATURE-----

--=-ZGMCgQKXY/oC4goin03S--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 19 Dec 2021 11:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 06:15:31 2021
Received: from localhost ([127.0.0.1]:44878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myuA7-0005pz-C8
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 06:15:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1myuA6-0005pl-5l
 for 52599 <at> debbugs.gnu.org; Sun, 19 Dec 2021 06:15:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bfMIHn7laNPxqirS2iPMJFlvOqJ7XYbvBwc+Vwydnn8=; b=O4mMUarDBs7YUKTWPRicGAa8eq
 t9tJamZExzxac5URfwrUmHhFT43x6+Cb5uhj+FWDhSnJdP6X4zoEpllCqQdA7fLnz+BrIiej9pj1U
 cMZ9io17x6oeWnxFjb4RQb34OqQeT4tF2nktY+VYZMoTIPiqNr/r20cHy2EPx+sKrUZo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1myu9x-00033S-Li; Sun, 19 Dec 2021 12:15:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
X-Now-Playing: John Martyn's _Bless the Weather_: "Go Easy"
Date: Sun, 19 Dec 2021 12:15:19 +0100
In-Reply-To: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 (Matsievskiy S. V.'s message of "Sat, 18 Dec 2021 14:50:41 +0300")
Message-ID: <87tuf4x2uw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes: > When
 buffer contains SVG overlay with Unicode characters, changing font > size
 via `text-scale-increase` and `text-scale-decrease` causes these > Unicode
 characters to change size unproportionally t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

"Matsievskiy S.V." <seregaxvm.main@HIDDEN> writes:

> When buffer contains SVG overlay with Unicode characters, changing font
> size via `text-scale-increase` and `text-scale-decrease` causes these
> Unicode characters to change size unproportionally to the Latin
> characters. Their size changes faster: they shrink faster then Latin
> characters and they grow faster then Latin characters.
> Example of the math equation containing Unicode characters with
> different scale is showin in picture https://imgur.com/3Ul8i74.

The SVG seems to be very odd without changing the font size.  When I
eval the test case, I get:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


Is it supposed to look this way?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 18 Dec 2021 14:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 09:09:49 2021
Received: from localhost ([127.0.0.1]:41527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myaPF-0000AG-EK
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 09:09:49 -0500
Received: from mail-lf1-f51.google.com ([209.85.167.51]:44752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1myaPD-0000A0-2r
 for 52599 <at> debbugs.gnu.org; Sat, 18 Dec 2021 09:09:47 -0500
Received: by mail-lf1-f51.google.com with SMTP id z7so10693340lfi.11
 for <52599 <at> debbugs.gnu.org>; Sat, 18 Dec 2021 06:09:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=b4RckWbiY9CZj1XU6HHw4Qzmy7qoSOnGAKG/OvnMj6s=;
 b=JLctNK+J+NrqO9UdpPIsQ4Fw9CS6EA88MmMJI3OtyqvSX1+vy1p+FsR9zMQRqrgswi
 JhAMYw8XpS2Mo22xR7Rjh9d9gL6YTqiRFMYoRSFTCAY0qIawMKekGKg8b6fZPdZlYkUc
 P0UfNhqRpEwr2TqCqtJpNlMtqWjK1+vp0YjWN2/szZMHQQ4McxWJp8NoxkV6k5XrsTSv
 OWkaVrAruZZZym3AKtDBZxBrujZVuJ1fZCi95cjb3d+M3R4LWwDV95yRHMSI1avCKw7m
 vj04Lzgil+AfrdU9MGS/TAwQJqC2SN/mjDVbL0iFJFTNmXImz428sNcHoB7MZNR1PFB2
 M/Ug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=b4RckWbiY9CZj1XU6HHw4Qzmy7qoSOnGAKG/OvnMj6s=;
 b=7DAn/R+hZA6D1YYDFDMPSyix5Eg+LDbVCoyy8Grf9+g3XjTP2dpzCsfYQatgKxo0aV
 JJtEXtZUx716ALwFnTmCQHnw5TsQI4j59LW5ihegZ9M3ldAJ38sEa8EQ17PROohzFvOX
 3AjBNoApx5NmEQMH71qfLzAP0k3wPDHRiVpsCyv/WnJ76N+5HFzjVJN1D7IRAv9w/PKL
 Rw+wTiGNVwe8rdd2yRwqh/ZM5XO1NB9S1eODAYIOux3Knfw1xrpWoX8xi6LXFdVZDRvF
 whd/FOy3ObJnj1q6K1NGQse1aj6+4oI7KJjheuD3/XxSdHD7rqaqKhByPN1uRYWSEYHh
 8mGw==
X-Gm-Message-State: AOAM533TtDmS75saCVkv4R3qikwZtpVqA/x2kXMyA62DjjKeDJYj4+lT
 7a3R9wapQ1dJGEhzuObQyiI=
X-Google-Smtp-Source: ABdhPJzYje1n3kjZuZHGDZLCaE7W9hRfDw8E7A0xPOl9I1qJOL02b2L/4sdsmXrpmD/UGlgLsv9pVg==
X-Received: by 2002:a19:691a:: with SMTP id e26mr719925lfc.680.1639836581026; 
 Sat, 18 Dec 2021 06:09:41 -0800 (PST)
Received: from [192.168.0.2] ([46.188.27.171])
 by smtp.gmail.com with ESMTPSA id f1sm224828lfg.89.2021.12.18.06.09.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Dec 2021 06:09:40 -0800 (PST)
Message-ID: <8d677cb8982a617439aafcf10262267821dad5f6.camel@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Sat, 18 Dec 2021 17:09:39 +0300
In-Reply-To: <83ee6aaxf1.fsf@HIDDEN>
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 <83ee6aaxf1.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-r0lnNaCW54EFlh4QBJuc"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-r0lnNaCW54EFlh4QBJuc
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I've downgraded librsvg from 2.50.7 to 2.50.3 and got the same result.

--=20
Best regards,
Sergey Matsievskiy


On Sat, 2021-12-18 at 14:51 +0200, Eli Zaretskii wrote:
> > From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> > Cc: 52599 <at> debbugs.gnu.org
> > Date: Sat, 18 Dec 2021 15:13:15 +0300
> >=20
> > Attaching ELisp code
>=20
> Thanks.
>=20
> In my testing, the size of the font in the image doesn't change at
> all
> when I increase or decrease the text scale in the buffer.
>=20
> I think whether the font changes is up to librsvg and the font
> backend
> it uses, and Emacs does not necessarily have a way of controlling
> that.=C2=A0 But I'm not an expert on SVG and the library, so perhaps
> someone else could chime in.

--=-r0lnNaCW54EFlh4QBJuc
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmG966MACgkQJ3MPanxt
P2tdlAwAkUN3JUfUrrxhm5oAaDqLu6ePiWAfV8UFdVj6JKlGKYplPLU59wmCHXrf
eSSV/z9O3vBi2P2MSNNNPE25wZzxqFC2kEVlJIzRIYTjCd2uQAuQeC3KLfqZonAL
gKCLiAXBNKyQ7hRBsLDIVp47ygxNGFQkrrSlCHw6e+Bi4E/XxKD4/UlyNwRP7uja
GK5ftikUI8BMnAl04eI6Dcy5vT+HFYKpgnfeoA5pqQTEX7MLYsJuCpIoW+hnwYad
jjXNvzhAafT9E/x1Lv/ggvOd4MNZ9qH8rRDEWm3tEA6utC5gQRashtCDTNb1XWUb
flfkNhWQlNhK4SoS2Lqna39bxZz72SzamzqSwoPRUZIvg1tmfnRdKxXWd6n+SYjG
Mf7Yic7lTVIQC4RVbrmjDsu8n+kZtiU80l6Gk1VmYVSJSpf6SDrOokTfM1Qkit3b
ufXmoygvCEhkmX8jn1E6GU46RQamwWIJoLYfI1a1dKwV9CpKFIYr6yaDU2umqYDN
hLXRe3YH
=DaK5
-----END PGP SIGNATURE-----

--=-r0lnNaCW54EFlh4QBJuc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 18 Dec 2021 12:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 07:51:50 2021
Received: from localhost ([127.0.0.1]:41436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myZBm-0004Uk-4b
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:51:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1myZBk-0004UX-QI
 for 52599 <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:51:49 -0500
Received: from [2001:470:142:3::e] (port=48910 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1myZBf-00012p-IZ; Sat, 18 Dec 2021 07:51:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Hx5OPRGFjRLGMws/5310TivDNPyvdLDA/znYeg2UIjo=; b=hdcvAVF5up6k
 6xcPMP5bgukmMzMFBUwxUMBvLaFI0WddqWwrpIN4eVZBSq0KrWESEe2jQv+Ma7BpZSsE0F8RbKCXA
 y8lPKH5DPxBbdeggegHApvY88nWt65+IOsxn+I5+mK0RTVe/SqcYR2dmFXlmd+0uqEtui1ozOb+B7
 PNF8ML5mXHs2DPYFAwqdrvnTmklFWcW0NP9G9xDxWx9Xpl6erFEVgcNDdomZBlV0KNgeNaySl7AFG
 phKBY7LA2xTjdAnvg5/rWxbzuOrfy8FhrOynxDy0PV9+1gnThZkPurnjIFCi37w7iXqfsJ3YuBr6q
 yfbMm9Z0PN/TaRa0bvJM6Q==;
Received: from [87.69.77.57] (port=2944 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1myZBd-0004H2-Qf; Sat, 18 Dec 2021 07:51:43 -0500
Date: Sat, 18 Dec 2021 14:51:30 +0200
Message-Id: <83ee6aaxf1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
In-Reply-To: <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
 (seregaxvm.main@HIDDEN)
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
 <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> Cc: 52599 <at> debbugs.gnu.org
> Date: Sat, 18 Dec 2021 15:13:15 +0300
> 
> Attaching ELisp code

Thanks.

In my testing, the size of the font in the image doesn't change at all
when I increase or decrease the text scale in the buffer.

I think whether the font changes is up to librsvg and the font backend
it uses, and Emacs does not necessarily have a way of controlling
that.  But I'm not an expert on SVG and the library, so perhaps
someone else could chime in.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 18 Dec 2021 12:13:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 07:13:26 2021
Received: from localhost ([127.0.0.1]:41413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myYab-0001Oh-TA
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:13:26 -0500
Received: from mail-lf1-f51.google.com ([209.85.167.51]:39430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1myYaZ-0001OT-Gk
 for 52599 <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:13:24 -0500
Received: by mail-lf1-f51.google.com with SMTP id d10so10299233lfg.6
 for <52599 <at> debbugs.gnu.org>; Sat, 18 Dec 2021 04:13:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=+UMTj9S4g9PfTfv0PFsg5WdP3JNIXT5iU5WXQHk0ry8=;
 b=bfnp2DuLBxb2+Eb1lRsCi7bt+01DzIuwbae7gv8egdHspBTJKSOw0h8tPVSBVqz9TM
 px0MVVh4AbYXhnEp6EumYPbbuOE9xv/hoAoDx07/0WOmGlC9UcFq4KtgvqU3plqxjWpg
 PRMP/X7tjILi2bS8d8xn3YhQ8KB6IVo8wLON8Vs50wulYDwlsMYHR6raQTaJCUUcwQb0
 Ph9UHIxbW+PhkhC6gzkBfTkzwg7ud0FgPNjsMY5qHSooJEQBmXFF0b1rwYCmT3+R6+0A
 hXF+w916N7L2vXNHmKat5iGJ20f/U1dvm7BbBeYZVJYm1g4AVuCSzqVfhuHUeKue8sWD
 uFug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=+UMTj9S4g9PfTfv0PFsg5WdP3JNIXT5iU5WXQHk0ry8=;
 b=IJxCc6T3R8LbjuvPOPmwKwBbJnRiN/kZbpHaLy5pMjK9lQKAAUb4m9eFV4ueU6lcoX
 3sSk4cFiECx7N8A0LI5kLwifg7MoI0kukOsMPqzu5Nk+bq+FSa8ciTUUVv/wO8ES0Sqx
 8+2FdH7Dn4MHgRPC1GsDvliX3B3RqgC0JKdGml59gYWcobbXddIlqeZTZsdEpc534V+s
 pCgEpLSkV1EzzrFxunVJVKkUEvrIoaqgU3vNJEQ1LPk+vx79p+IOQmkhfFCcTqzBf5ri
 WYdeeRvZAMxN2d7CYEGdNwtwUtlicJ/DNzUlz2j5HTJH7Va12TBAveweNhFwCvsG9T4F
 hFpw==
X-Gm-Message-State: AOAM531aPoPIPjTLEx1ZFfp9C9ao0qqYufsN7HQ9CzQwzD8O84gfwe/Z
 +DCSaLgAHDKNOdcZ26EpA3k=
X-Google-Smtp-Source: ABdhPJwuk74CgAWXhV87LfU5sn+xbaNBJwJpbiVr9/p2zLOLCaSCydfUwziM2tYDGk52kU2gPhiSXA==
X-Received: by 2002:a05:6512:3501:: with SMTP id
 h1mr6996407lfs.513.1639829597367; 
 Sat, 18 Dec 2021 04:13:17 -0800 (PST)
Received: from [192.168.0.2] ([46.188.27.171])
 by smtp.gmail.com with ESMTPSA id k22sm1691492lfu.95.2021.12.18.04.13.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Dec 2021 04:13:16 -0800 (PST)
Message-ID: <1f8f80c2574cc3c514575683152ef689c4295582.camel@HIDDEN>
Subject: Re: bug#52599: 29.0.50; Unproportional Unicode character scale in
 SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Sat, 18 Dec 2021 15:13:15 +0300
In-Reply-To: <83h7b6azlm.fsf@HIDDEN>
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 <83h7b6azlm.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-HAJuJGpv3I8nX3bOSYTg"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-HAJuJGpv3I8nX3bOSYTg
Content-Type: multipart/mixed; boundary="=-Fq1ES4DfkPcryPAWsVO7"


--=-Fq1ES4DfkPcryPAWsVO7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Attaching ELisp code

--=20
Best regards,
Sergey Matsievskiy


On Sat, 2021-12-18 at 14:04 +0200, Eli Zaretskii wrote:
> > From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> > Date: Sat, 18 Dec 2021 14:50:41 +0300
> >=20
> > When buffer contains SVG overlay with Unicode characters, changing
> > font
> > size via `text-scale-increase` and `text-scale-decrease` causes
> > these
> > Unicode characters to change size unproportionally to the Latin
> > characters. Their size changes faster: they shrink faster then
> > Latin
> > characters and they grow faster then Latin characters.
> > Example of the math equation containing Unicode characters with
> > different scale is showin in picture https://imgur.com/3Ul8i74.
> >=20
> > Way to reproduce:
>=20
> Could you please post the Lisp code as an attachment, not inline, and
> not in Org or Markdown format, but as plain Lisp code?=C2=A0 I tried to
> reproduce the problem, but the NBSP characters and probably something
> else in your mail made the image unreadable, so I couldn't
> investigate.
>=20
> Thanks.

--=-Fq1ES4DfkPcryPAWsVO7
Content-Disposition: attachment; filename="svgoverlay.el"
Content-Type: text/x-emacs-lisp; name="svgoverlay.el"; charset="UTF-8"
Content-Transfer-Encoding: base64

KGxldCAoKG8gKG1ha2Utb3ZlcmxheSAwIDExKSkpCiAgKG92ZXJsYXktcHV0IG8gJ2Rpc3BsYXkK
ICAgICAgICAgICAgICAgKGxpc3QgKGNvbnMgJ2ltYWdlCiAgICAgICAgICAgICAgICAgICAgICAg
ICAgIChsaXN0IDp0eXBlICdzdmcKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgOmRh
dGEgIjxzdmcgeG1sbnM6eGxpbms9XCJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rXCIgd2lk
dGg9XCIxNS42MzlleFwiIGhlaWdodD1cIjUuMzQzZXhcIiBzdHlsZT1cInZlcnRpY2FsLWFsaWdu
OiAtMi4xNzFleDtcIiB2aWV3Qm94PVwiMCAtMTM2NS40IDY3MzMuMyAyMzAwLjNcIiByb2xlPVwi
aW1nXCIgZm9jdXNhYmxlPVwiZmFsc2VcIiB4bWxucz1cImh0dHA6Ly93d3cudzMub3JnLzIwMDAv
c3ZnXCIgYXJpYS1sYWJlbGxlZGJ5PVwiTWF0aEpheC1TVkctMS1UaXRsZVwiPgo8dGl0bGUgaWQ9
XCJNYXRoSmF4LVNWRy0xLVRpdGxlXCI+XFxuZXdjb21tYW5ke3RleHR1cH1bMV17IzF9eF5hX2Jc
XHF1YWQgeF7QsV/RjlxccXVhZFxcZnJhY3thfXvQsH1cXHF1YWRcXGZyYWN7YX17w4x9PC90aXRs
ZT4KPGRlZnMgYXJpYS1oaWRkZW49XCJ0cnVlXCI+CjxwYXRoIHN0cm9rZS13aWR0aD1cIjFcIiBp
ZD1cIkUxLU1KTUFUSEktNzhcIiBkPVwiTTUyIDI4OVE1OSAzMzEgMTA2IDM4NlQyMjIgNDQyUTI1
NyA0NDIgMjg2IDQyNFQzMjkgMzc5UTM3MSA0NDIgNDMwIDQ0MlE0NjcgNDQyIDQ5NCA0MjBUNTIy
IDM2MVE1MjIgMzMyIDUwOCAzMTRUNDgxIDI5MlQ0NTggMjg4UTQzOSAyODggNDI3IDI5OVQ0MTUg
MzI4UTQxNSAzNzQgNDY1IDM5MVE0NTQgNDA0IDQyNSA0MDRRNDEyIDQwNCA0MDYgNDAyUTM2OCAz
ODYgMzUwIDMzNlEyOTAgMTE1IDI5MCA3OFEyOTAgNTAgMzA2IDM4VDM0MSAyNlEzNzggMjYgNDE0
IDU5VDQ2MyAxNDBRNDY2IDE1MCA0NjkgMTUxVDQ4NSAxNTNINDg5UTUwNCAxNTMgNTA0IDE0NVE1
MDQgMTQ0IDUwMiAxMzRRNDg2IDc3IDQ0MCAzM1QzMzMgLTExUTI2MyAtMTEgMjI3IDUyUTE4NiAt
MTAgMTMzIC0xMEgxMjdRNzggLTEwIDU3IDE2VDM1IDcxUTM1IDEwMyA1NCAxMjNUOTkgMTQzUTE0
MiAxNDMgMTQyIDEwMVExNDIgODEgMTMwIDY2VDEwNyA0NlQ5NCA0MUw5MSA0MFE5MSAzOSA5NyAz
NlQxMTMgMjlUMTMyIDI2UTE2OCAyNiAxOTQgNzFRMjAzIDg3IDIxNyAxMzlUMjQ1IDI0N1QyNjEg
MzEzUTI2NiAzNDAgMjY2IDM1MlEyNjYgMzgwIDI1MSAzOTJUMjE3IDQwNFExNzcgNDA0IDE0MiAz
NzJUOTMgMjkwUTkxIDI4MSA4OCAyODBUNzIgMjc4SDU4UTUyIDI4NCA1MiAyODlaXCI+PC9wYXRo
Pgo8cGF0aCBzdHJva2Utd2lkdGg9XCIxXCIgaWQ9XCJFMS1NSk1BVEhJLTYxXCIgZD1cIk0zMyAx
NTdRMzMgMjU4IDEwOSAzNDlUMjgwIDQ0MVEzMzEgNDQxIDM3MCAzOTJRMzg2IDQyMiA0MTYgNDIy
UTQyOSA0MjIgNDM5IDQxNFQ0NDkgMzk0UTQ0OSAzODEgNDEyIDIzNFQzNzQgNjhRMzc0IDQzIDM4
MSAzNVQ0MDIgMjZRNDExIDI3IDQyMiAzNVE0NDMgNTUgNDYzIDEzMVE0NjkgMTUxIDQ3MyAxNTJR
NDc1IDE1MyA0ODMgMTUzSDQ4N1E1MDYgMTUzIDUwNiAxNDRRNTA2IDEzOCA1MDEgMTE3VDQ4MSA2
M1Q0NDkgMTNRNDM2IDAgNDE3IC04UTQwOSAtMTAgMzkzIC0xMFEzNTkgLTEwIDMzNiA1VDMwNiAz
NkwzMDAgNTFRMjk5IDUyIDI5NiA1MFEyOTQgNDggMjkyIDQ2UTIzMyAtMTAgMTcyIC0xMFExMTcg
LTEwIDc1IDMwVDMzIDE1N1pNMzUxIDMyOFEzNTEgMzM0IDM0NiAzNTBUMzIzIDM4NVQyNzcgNDA1
UTI0MiA0MDUgMjEwIDM3NFQxNjAgMjkzUTEzMSAyMTQgMTE5IDEyOVExMTkgMTI2IDExOSAxMThU
MTE4IDEwNlExMTggNjEgMTM2IDQ0VDE3OSAyNlEyMTcgMjYgMjU0IDU5VDI5OCAxMTBRMzAwIDEx
NCAzMjUgMjE3VDM1MSAzMjhaXCI+PC9wYXRoPgo8cGF0aCBzdHJva2Utd2lkdGg9XCIxXCIgaWQ9
XCJFMS1NSk1BVEhJLTYyXCIgZD1cIk03MyA2NDdRNzMgNjU3IDc3IDY3MFQ4OSA2ODNROTAgNjgz
IDE2MSA2ODhUMjM0IDY5NFEyNDYgNjk0IDI0NiA2ODVUMjEyIDU0MlEyMDQgNTA4IDE5NSA0NzJU
MTgwIDQxOEwxNzYgMzk5UTE3NiAzOTYgMTgyIDQwMlEyMzEgNDQyIDI4MyA0NDJRMzQ1IDQ0MiAz
ODMgMzk2VDQyMiAyODBRNDIyIDE2OSAzNDMgNzlUMTczIC0xMVExMjMgLTExIDgyIDI3VDQwIDE1
MFYxNTlRNDAgMTgwIDQ4IDIxN1Q5NyA0MTRRMTQ3IDYxMSAxNDcgNjIzVDEwOSA2MzdRMTA0IDYz
NyAxMDEgNjM3SDk2UTg2IDYzNyA4MyA2MzdUNzYgNjQwVDczIDY0N1pNMzM2IDMyNVYzMzFRMzM2
IDQwNSAyNzUgNDA1UTI1OCA0MDUgMjQwIDM5N1QyMDcgMzc2VDE4MSAzNTJUMTYzIDMzMEwxNTcg
MzIyTDEzNiAyMzZRMTE0IDE1MCAxMTQgMTE0UTExNCA2NiAxMzggNDJRMTU0IDI2IDE3OCAyNlEy
MTEgMjYgMjQ1IDU4UTI3MCA4MSAyODUgMTE0VDMxOCAyMTlRMzM2IDI5MSAzMzYgMzI1WlwiPjwv
cGF0aD4KPC9kZWZzPgo8ZyBzdHJva2U9XCJjdXJyZW50Q29sb3JcIiBmaWxsPVwiY3VycmVudENv
bG9yXCIgc3Ryb2tlLXdpZHRoPVwiMFwiIHRyYW5zZm9ybT1cIm1hdHJpeCgxIDAgMCAtMSAwIDAp
XCIgYXJpYS1oaWRkZW49XCJ0cnVlXCI+CiA8dXNlIHhsaW5rOmhyZWY9XCIjRTEtTUpNQVRISS03
OFwiIHg9XCIwXCIgeT1cIjBcIj48L3VzZT4KIDx1c2UgdHJhbnNmb3JtPVwic2NhbGUoMC43MDcp
XCIgeGxpbms6aHJlZj1cIiNFMS1NSk1BVEhJLTYxXCIgeD1cIjgwOVwiIHk9XCI0OThcIj48L3Vz
ZT4KIDx1c2UgdHJhbnNmb3JtPVwic2NhbGUoMC43MDcpXCIgeGxpbms6aHJlZj1cIiNFMS1NSk1B
VEhJLTYyXCIgeD1cIjgwOVwiIHk9XCItNDYzXCI+PC91c2U+CjxnIHRyYW5zZm9ybT1cInRyYW5z
bGF0ZSgyMDQ2LDApXCI+CiA8dXNlIHhsaW5rOmhyZWY9XCIjRTEtTUpNQVRISS03OFwiIHg9XCIw
XCIgeT1cIjBcIj48L3VzZT4KPGcgdHJhbnNmb3JtPVwidHJhbnNsYXRlKDU3Miw2NDgpXCI+Cjx0
ZXh0IGZvbnQtZmFtaWx5PVwibW9ub3NwYWNlXCIgc3Ryb2tlPVwibm9uZVwiIHRyYW5zZm9ybT1c
InNjYWxlKDUwLjc0MTI3NTUxMTE2NTQ3KSBtYXRyaXgoMSAwIDAgLTEgMCAwKVwiPtCxPC90ZXh0
Pgo8L2c+CjxnIHRyYW5zZm9ybT1cInRyYW5zbGF0ZSg1NzIsLTQ0NSlcIj4KPHRleHQgZm9udC1m
YW1pbHk9XCJtb25vc3BhY2VcIiBzdHJva2U9XCJub25lXCIgdHJhbnNmb3JtPVwic2NhbGUoNTAu
NzQxMjc1NTExMTY1NDcpIG1hdHJpeCgxIDAgMCAtMSAwIDApXCI+0Y48L3RleHQ+CjwvZz4KPC9n
Pgo8ZyB0cmFuc2Zvcm09XCJ0cmFuc2xhdGUoNDE1MCwwKVwiPgo8ZyB0cmFuc2Zvcm09XCJ0cmFu
c2xhdGUoMTIwLDApXCI+CjxyZWN0IHN0cm9rZT1cIm5vbmVcIiB3aWR0aD1cIjU1MVwiIGhlaWdo
dD1cIjYwXCIgeD1cIjBcIiB5PVwiMjIwXCI+PC9yZWN0PgogPHVzZSB0cmFuc2Zvcm09XCJzY2Fs
ZSgwLjcwNylcIiB4bGluazpocmVmPVwiI0UxLU1KTUFUSEktNjFcIiB4PVwiMTI1XCIgeT1cIjYz
OVwiPjwvdXNlPgo8ZyB0cmFuc2Zvcm09XCJ0cmFuc2xhdGUoNjAsLTU1NClcIj4KPHRleHQgZm9u
dC1mYW1pbHk9XCJtb25vc3BhY2VcIiBzdHJva2U9XCJub25lXCIgdHJhbnNmb3JtPVwic2NhbGUo
NTAuNzQxMjc1NTExMTY1NDcpIG1hdHJpeCgxIDAgMCAtMSAwIDApXCI+0LA8L3RleHQ+CjwvZz4K
PC9nPgo8L2c+CjxnIHRyYW5zZm9ybT1cInRyYW5zbGF0ZSg1OTQyLDApXCI+CjxnIHRyYW5zZm9y
bT1cInRyYW5zbGF0ZSgxMjAsMClcIj4KPHJlY3Qgc3Ryb2tlPVwibm9uZVwiIHdpZHRoPVwiNTUx
XCIgaGVpZ2h0PVwiNjBcIiB4PVwiMFwiIHk9XCIyMjBcIj48L3JlY3Q+CiA8dXNlIHRyYW5zZm9y
bT1cInNjYWxlKDAuNzA3KVwiIHhsaW5rOmhyZWY9XCIjRTEtTUpNQVRISS02MVwiIHg9XCIxMjVc
IiB5PVwiNjM5XCI+PC91c2U+CjxnIHRyYW5zZm9ybT1cInRyYW5zbGF0ZSg2MCwtNTU0KVwiPgo8
dGV4dCBmb250LWZhbWlseT1cIm1vbm9zcGFjZVwiIHN0cm9rZT1cIm5vbmVcIiB0cmFuc2Zvcm09
XCJzY2FsZSg1MC43NDEyNzU1MTExNjU0NykgbWF0cml4KDEgMCAwIC0xIDAgMClcIj7DjDwvdGV4
dD4KPC9nPgo8L2c+CjwvZz4KPC9nPgo8L3N2Zz4iKSkpKSkK


--=-Fq1ES4DfkPcryPAWsVO7--

--=-HAJuJGpv3I8nX3bOSYTg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmG90FsACgkQJ3MPanxt
P2s/GwwAqB3w5bfM4xmyZwZdKDt+5M7S1Z/s88kUgu8COlQraQ//MzAYhBlQSd9s
WT92DnEBq629OE5DsUW3CHNJ/Yrbh28oIWRFPV1FJvF7JaeswiOdLWkqH10ejc+B
5JB+NcZQesoEPtOjQ9Rw/yIj9iRFffmf7VwmhJpkIWv3uAw1RjgprnwS1Oiqc5M+
5AGlJBF89EV9/ZwdB8WHpY2iG3PWwJYUp7gQ2c4zIoYzPR7zLU6Jl/1iryDOjD+i
/YvNhnt5DLErzhcZS3lcc9M2T0hrepyXeHaWecMNroHrCzhujscOIEr78zHcIh/a
Gzj/YsQ79bjKi2g4Y4xF/1Si5qLnjRbiUJ7yvLzmExnldIjBf1zNcITsbgUwbQDg
3eugeJiJlbMQ56plehd06AHzBbyMmNpACZBsGmn4WTP4ZZX40qJ5JYFoEMokD+Iz
r0bh7OzRsASXNyyuxkTBOXVmJYeBMounjHBSliSB8zU1nkeIJc7RPoQvZxkVAug7
wcc4GjtX
=snW+
-----END PGP SIGNATURE-----

--=-HAJuJGpv3I8nX3bOSYTg--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at 52599 <at> debbugs.gnu.org:


Received: (at 52599) by debbugs.gnu.org; 18 Dec 2021 12:04:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 07:04:43 2021
Received: from localhost ([127.0.0.1]:41409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myYSA-0001Cv-Vw
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:04:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1myYS7-0001Ci-La
 for 52599 <at> debbugs.gnu.org; Sat, 18 Dec 2021 07:04:41 -0500
Received: from [2001:470:142:3::e] (port=48226 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1myYS2-000391-EN; Sat, 18 Dec 2021 07:04:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=b65LWAR6PgWyV0bpGOO8kUI27SOa0wrRnDs1G/341Wo=; b=KgDhMfvEWq+j
 bSMyr449aCZiu65yYpXZ6bmG8C1pWc/xSi++NzuZ4q7NVmGlkByaK0FeQrvu42PS3DOybrMfrB7hs
 aexZlcgpVp5uHEunuRyC0iLjQWd5+vtTS1mj4YeI6XcandGBCxQeh+L0hAU+BjpPHAZ+sa+TY6A7b
 vCDW0DK3pbeAj3ch1HoSENIlKt8xSqLXj5H7RuvvDdXbNac+DYrQKoe7zYUUpq/CUMIWj8gdDNytk
 aShBnzZwM96CN9abzC5lUYzvFiiJpBgNfNp3M3d0J0ybV3hX89CDUwDmfFAHC/cTMIxlX4AFRN0d8
 Ahc4PTs08miuCA8sdr70bQ==;
Received: from [87.69.77.57] (port=4044 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1myYS2-0006iZ-9n; Sat, 18 Dec 2021 07:04:34 -0500
Date: Sat, 18 Dec 2021 14:04:21 +0200
Message-Id: <83h7b6azlm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
In-Reply-To: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
 (seregaxvm.main@HIDDEN)
Subject: Re: bug#52599: 29.0.50;
 Unproportional Unicode character scale in SVG overlay
References: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52599
Cc: 52599 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
> Date: Sat, 18 Dec 2021 14:50:41 +0300
> 
> When buffer contains SVG overlay with Unicode characters, changing font
> size via `text-scale-increase` and `text-scale-decrease` causes these
> Unicode characters to change size unproportionally to the Latin
> characters. Their size changes faster: they shrink faster then Latin
> characters and they grow faster then Latin characters.
> Example of the math equation containing Unicode characters with
> different scale is showin in picture https://imgur.com/3Ul8i74.
> 
> Way to reproduce:

Could you please post the Lisp code as an attachment, not inline, and
not in Org or Markdown format, but as plain Lisp code?  I tried to
reproduce the problem, but the NBSP characters and probably something
else in your mail made the image unreadable, so I couldn't
investigate.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Dec 2021 11:50:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 06:50:51 2021
Received: from localhost ([127.0.0.1]:41402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myYEk-0000sj-Cu
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 06:50:50 -0500
Received: from lists.gnu.org ([209.51.188.17]:36390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <seregaxvm.main@HIDDEN>) id 1myYEi-0000sb-6w
 for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 06:50:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40124)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <seregaxvm.main@HIDDEN>)
 id 1myYEh-0008Su-Ud
 for bug-gnu-emacs@HIDDEN; Sat, 18 Dec 2021 06:50:47 -0500
Received: from [2a00:1450:4864:20::136] (port=33646
 helo=mail-lf1-x136.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <seregaxvm.main@HIDDEN>)
 id 1myYEf-0001LT-Pk
 for bug-gnu-emacs@HIDDEN; Sat, 18 Dec 2021 06:50:47 -0500
Received: by mail-lf1-x136.google.com with SMTP id d38so10323659lfv.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Dec 2021 03:50:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:user-agent:mime-version;
 bh=ZCO6iEcdVmKgLW7bo0T7crSimLNdSmUx4Ff/BnjFYsM=;
 b=Zcv7V4tqyxJNtTjCO3Sbq9Vh5w/ff5e1H1CWcJLz1LmZgS1x+VTq7cqO8NqqeetTNR
 PHrI8Zx7ZZu5S/QQbOrc2Hq2epyWBkWCMkEx+QnYBb6dxSqyE17Hw5E29Naid1UHnGw+
 8YL2F2Yw+SN15G6UiQrS0ucp2IIcC/vnYsGsuEauP74Woo8SrWKK131C3n260+pJswHt
 yJf5hqeKeVb+SPoM+UEAW6DnfUE6CVFpf8FvC7Uuvn3OLHWsM3rZaMvydkkxhVNme37l
 umAXS+ufkCRRvf1gkPLhJcdfsSCfmMc3EDyyiUZwUIkOII/Nmo8TjVPMebwy+tY9pFPi
 3+SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:user-agent
 :mime-version;
 bh=ZCO6iEcdVmKgLW7bo0T7crSimLNdSmUx4Ff/BnjFYsM=;
 b=MqSFVXnh0/gWhhpN4nlx1N4ZjijY+RGJRPnxmrxywv4ykVenrWMWBw5ksJuE1nFVki
 baDiwiWKq4JkjP3R6TVWrqs+rqPtR5CVKonvJncGppEQNhOdjKh2EY9p3CYbvGLvlJ3H
 QW74f4gQraF8Y/wudpQ+eLsE9J2oBjcRTRZfND3NiegGHOBsKg1xneSYqo77WmbC9dEk
 eASLagWnp7bGCWQyUS7dDFzbdI06XkfAzIaxsTwhAn5GqnyBAcZwYGLX1ETrZQlyit20
 5JHrmYfZ9G8IrfXqI9s28nEy2wV5Rn06sIftszw4rkgcyNjtO0svqBl1fUGHA9Z3lbXG
 6eig==
X-Gm-Message-State: AOAM532AnskG99RFnAfRTVHB5EcwezQYT9YXx0cU1mlTcnCnvawBGRNF
 c0Cz5pqNCtJpi/uwsRP8hZZnB6VGYqc=
X-Google-Smtp-Source: ABdhPJxTZC8u9mKmeHDuX+RWBuWdfDlSIyugtfEn+UeJd8fZ9RpQPKZ78GAz7iKtTW8Lcbe/Zf5GsA==
X-Received: by 2002:a05:6512:3298:: with SMTP id
 p24mr6766399lfe.549.1639828243129; 
 Sat, 18 Dec 2021 03:50:43 -0800 (PST)
Received: from [192.168.0.2] ([46.188.27.171])
 by smtp.gmail.com with ESMTPSA id p10sm1993790lja.0.2021.12.18.03.50.42
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Dec 2021 03:50:42 -0800 (PST)
Message-ID: <c787b1550e1874460de40f4fd9ae69c7f5c970ee.camel@HIDDEN>
Subject: 29.0.50; Unproportional Unicode character scale in SVG overlay
From: "Matsievskiy S.V." <seregaxvm.main@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Sat, 18 Dec 2021 14:50:41 +0300
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-xJZcmSVM92LoxwWEsEJT"
User-Agent: Evolution 3.42.2-1 
MIME-Version: 1.0
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::136
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::136;
 envelope-from=seregaxvm.main@HIDDEN; helo=mail-lf1-x136.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-xJZcmSVM92LoxwWEsEJT
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

When buffer contains SVG overlay with Unicode characters, changing font
size via `text-scale-increase` and `text-scale-decrease` causes these
Unicode characters to change size unproportionally to the Latin
characters. Their size changes faster: they shrink faster then Latin
characters and they grow faster then Latin characters.
Example of the math equation containing Unicode characters with
different scale is showin in picture https://imgur.com/3Ul8i74.

Way to reproduce:
1. In a new buffer insert some text
=C2=A0 ```
=C2=A0 1234567890
=C2=A0 ```
2. Add SVG overlay by evaluating command (Alt+Shift+:)
=C2=A0 ```elisp
=C2=A0 (let ((o (make-overlay 0 11)))
=C2=A0 (overlay-put o 'display
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 (list (cons 'image
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (list :type 'svg
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 :data "<svg
xmlns:xlink=3D\"http://www.w3.org/1999/xlink\" width=3D\"15.639ex\"
height=3D\"5.343ex\" style=3D\"vertical-align: -2.171ex;\" viewBox=3D\"0 -
1365.4 6733.3 2300.3\" role=3D\"img\" focusable=3D\"false\"
xmlns=3D\"http://www.w3.org/2000/svg\" aria-labelledby=3D\"MathJax-SVG-1-
Title\">
<title id=3D\"MathJax-SVG-1-
Title\">\\newcommand{textup}[1]{#1}x^a_b\\quad
x^=D0=B1_=D1=8E\\quad\\frac{a}{=D0=B0}\\quad\\frac{a}{=C3=8C}</title>
<defs aria-hidden=3D\"true\">
<path stroke-width=3D\"1\" id=3D\"E1-MJMATHI-78\" d=3D\"M52 289Q59 331 106
386T222 442Q257 442 286 424T329 379Q371 442 430 442Q467 442 494 420T522
361Q522 332 508 314T481 292T458 288Q439 288 427 299T415 328Q415 374 465
391Q454 404 425 404Q412 404 406 402Q368 386 350 336Q290 115 290 78Q290
50 306 38T341 26Q378 26 414 59T463 140Q466 150 469 151T485 153H489Q504
153 504 145Q504 144 502 134Q486 77 440 33T333 -11Q263 -11 227 52Q186 -
10 133 -10H127Q78 -10 57 16T35 71Q35 103 54 123T99 143Q142 143 142
101Q142 81 130 66T107 46T94 41L91 40Q91 39 97 36T113 29T132 26Q168 26
194 71Q203 87 217 139T245 247T261 313Q266 340 266 352Q266 380 251
392T217 404Q177 404 142 372T93 290Q91 281 88 280T72 278H58Q52 284 52
289Z\"></path>
<path stroke-width=3D\"1\" id=3D\"E1-MJMATHI-61\" d=3D\"M33 157Q33 258 109
349T280 441Q331 441 370 392Q386 422 416 422Q429 422 439 414T449 394Q449
381 412 234T374 68Q374 43 381 35T402 26Q411 27 422 35Q443 55 463
131Q469 151 473 152Q475 153 483 153H487Q506 153 506 144Q506 138 501
117T481 63T449 13Q436 0 417 -8Q409 -10 393 -10Q359 -10 336 5T306 36L300
51Q299 52 296 50Q294 48 292 46Q233 -10 172 -10Q117 -10 75 30T33
157ZM351 328Q351 334 346 350T323 385T277 405Q242 405 210 374T160
293Q131 214 119 129Q119 126 119 118T118 106Q118 61 136 44T179 26Q217 26
254 59T298 110Q300 114 325 217T351 328Z\"></path>
<path stroke-width=3D\"1\" id=3D\"E1-MJMATHI-62\" d=3D\"M73 647Q73 657 77
670T89 683Q90 683 161 688T234 694Q246 694 246 685T212 542Q204 508 195
472T180 418L176 399Q176 396 182 402Q231 442 283 442Q345 442 383 396T422
280Q422 169 343 79T173 -11Q123 -11 82 27T40 150V159Q40 180 48 217T97
414Q147 611 147 623T109 637Q104 637 101 637H96Q86 637 83 637T76 640T73
647ZM336 325V331Q336 405 275 405Q258 405 240 397T207 376T181 352T163
330L157 322L136 236Q114 150 114 114Q114 66 138 42Q154 26 178 26Q211 26
245 58Q270 81 285 114T318 219Q336 291 336 325Z\"></path>
</defs>
<g stroke=3D\"currentColor\" fill=3D\"currentColor\" stroke-width=3D\"0\"
transform=3D\"matrix(1 0 0 -1 0 0)\" aria-hidden=3D\"true\">
=C2=A0<use xlink:href=3D\"#E1-MJMATHI-78\" x=3D\"0\" y=3D\"0\"></use>
=C2=A0<use transform=3D\"scale(0.707)\" xlink:href=3D\"#E1-MJMATHI-61\"
x=3D\"809\" y=3D\"498\"></use>
=C2=A0<use transform=3D\"scale(0.707)\" xlink:href=3D\"#E1-MJMATHI-62\"
x=3D\"809\" y=3D\"-463\"></use>
<g transform=3D\"translate(2046,0)\">
=C2=A0<use xlink:href=3D\"#E1-MJMATHI-78\" x=3D\"0\" y=3D\"0\"></use>
<g transform=3D\"translate(572,648)\">
<text font-family=3D\"monospace\" stroke=3D\"none\"
transform=3D\"scale(50.74127551116547) matrix(1 0 0 -1 0 0)\">=D0=B1</text>
</g>
<g transform=3D\"translate(572,-445)\">
<text font-family=3D\"monospace\" stroke=3D\"none\"
transform=3D\"scale(50.74127551116547) matrix(1 0 0 -1 0 0)\">=D1=8E</text>
</g>
</g>
<g transform=3D\"translate(4150,0)\">
<g transform=3D\"translate(120,0)\">
<rect stroke=3D\"none\" width=3D\"551\" height=3D\"60\" x=3D\"0\"
y=3D\"220\"></rect>
=C2=A0<use transform=3D\"scale(0.707)\" xlink:href=3D\"#E1-MJMATHI-61\"
x=3D\"125\" y=3D\"639\"></use>
<g transform=3D\"translate(60,-554)\">
<text font-family=3D\"monospace\" stroke=3D\"none\"
transform=3D\"scale(50.74127551116547) matrix(1 0 0 -1 0 0)\">=D0=B0</text>
</g>
</g>
</g>
<g transform=3D\"translate(5942,0)\">
<g transform=3D\"translate(120,0)\">
<rect stroke=3D\"none\" width=3D\"551\" height=3D\"60\" x=3D\"0\"
y=3D\"220\"></rect>
=C2=A0<use transform=3D\"scale(0.707)\" xlink:href=3D\"#E1-MJMATHI-61\"
x=3D\"125\" y=3D\"639\"></use>
<g transform=3D\"translate(60,-554)\">
<text font-family=3D\"monospace\" stroke=3D\"none\"
transform=3D\"scale(50.74127551116547) matrix(1 0 0 -1 0 0)\">=C3=8C</text>
</g>
</g>
</g>
</g>
</svg>")))))
=C2=A0 ```
3. Change font size calling functions `text-scale-increase` and
`text-scale-decrease` repeatedly and observe unproportional size change

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.30, cairo version 1.16.0)
=C2=A0of 2021-12-17 built on KILLINGMACHINE
Repository revision: cf33ece31016828ceeeee1154a4fc057957eefbc
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version
11.0.12013000
System Description: Debian GNU/Linux bookworm/sid

Configured using:
=C2=A0'configure --prefix=3D/opt/emacs28 --with-all --with-xaw3d
=C2=A0--with-xwidgets --with-imagemagick --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
IMAGEMAGICK JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2
M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XPM
XWIDGETS GTK3 ZLIB

Important settings:
=C2=A0 value of $LANG: en_GB.UTF-8
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 show-paren-mode: t
=C2=A0 electric-indent-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t
=C2=A0 line-number-mode: t
=C2=A0 indent-tabs-mode: t
=C2=A0 transient-mark-mode: t

Load-path shadows:
/opt/emacs28/share/emacs/29.0.50/lisp/emacs-lisp/eieio-compat hides
/opt/emacs28/share/emacs/29.0.50/lisp/obsolete/eieio-compat

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068
epg-config gnus-util rmail rmail-loaddefs auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json map
text-property-search time-date seq gv subr-x byte-opt bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl tooltip
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-
eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock
syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
xwidget-internal dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-
toolkit
x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 66356 11011)
=C2=A0(symbols 48 6846 1)
=C2=A0(strings 32 21253 3113)
=C2=A0(string-bytes 1 764511)
=C2=A0(vectors 16 14490)
=C2=A0(vector-slots 8 275786 14211)
=C2=A0(floats 8 26 103)
=C2=A0(intervals 56 351 0)
=C2=A0(buffers 992 13))

--=20
=D0=A1 =D0=A3=D0=B2=D0=B0=D0=B6=D0=B5=D0=BD=D0=B8=D0=B5=D0=BC,
=D0=A1.=D0=92. =D0=9C=D0=B0=D1=86=D0=B8=D0=B5=D0=B2=D1=81=D0=BA=D0=B8=D0=B9


--=-xJZcmSVM92LoxwWEsEJT
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEEF2eqspcKUNK7HAMqJ3MPanxtP2sFAmG9yxEACgkQJ3MPanxt
P2vVBQv+NmFLHhZqVbBt+DvzNy87qWftIBm3pxbRYBoRqapaw5rJg7kniqSQH3H5
WFAJxdgOeXWi9l5Vts6awGVxGvU00UEOl/WlDp0H/ZnmsyWJymuZfFLJYPJ5ynxe
57/xt6XOPid6hVBd405hO4CC+kdY1AWQW7ymCZ1MIEuHCkS1Bhsslx9A4euHXX1U
2bvJrLwzmFywT7LyKutcEvqkJK2CLS2IWYbwp1V/6hiBHNVOnlsbbDzffLAhrsvK
wxnp0+tc9+2grrVOv0aopOGk0SPJBeeQtdUAS3uvBaIsq9Z70e0+mkjzX6A6NrC1
I9ei/we8CaPDZVgCD1epu/HtZxGoL2hbx5mYjTNJOYaH5fpGXbLdyIMcjIAmIL1f
vpbTImD+M0+LoD5Ig1s0LLw6Od3RjDiQYziVfXOSRJD47NvLxe0GJRcOkUHvHdil
iCD7C6ngOY/HdvJG6MVO3e8o7vLxIRe0JyVEEpUj5PEL4y4yhChn/UNSpG+Ec01L
EnT465ax
=jCUC
-----END PGP SIGNATURE-----

--=-xJZcmSVM92LoxwWEsEJT--




Acknowledgement sent to "Matsievskiy S.V." <seregaxvm.main@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52599; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Jan 2022 13:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.